Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader Class Reference

`#include <PropertyHeader.h>`

## Public Member Functions
| PropertyHeader ()
| PropertyHeader (const std::string &iName, const MetaData &iMetaData)
| PropertyHeader (const std::string &iName, PropertyType iPropType, const MetaData &iMetaData, const DataType &iDataType, const TimeSamplingPtr &iTsamp)
| PropertyHeader (const PropertyHeader &iCopy)
PropertyHeader & | operator= (const PropertyHeader &iCopy)
const std::string & | getName () const
void | setName (const std::string &iName)
PropertyType | getPropertyType () const
void | setPropertyType (PropertyType iPtyp)
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
void | setMetaData (const MetaData &iMetaData)
const DataType & | getDataType () const
void | setDataType (const DataType &iDataType)
TimeSamplingPtr | getTimeSampling () const
void | setTimeSampling (const TimeSamplingPtr &iTsamp)

## Detailed Description

The PropertyHeader is a collection of MetaData which helps define a Property. It also acts as a key for getting an instance of a property from a CompoundProperty.

## Constructor & Destructor Documentation

## ◆ PropertyHeader() [1/4]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::PropertyHeader | ( |  | ) |
| inline

Default constructor creates an invalid property. The propertyType is set to Scalar, but the dataType will be set to its default value of kUnknownPOD[1]

## ◆ PropertyHeader() [2/4]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::PropertyHeader | ( | const std::string & | iName,
|  | const MetaData & | iMetaData )
| inlineexplicit

Construct a compound property header. Just give a name and metadata, the rest is redundant or unused.

## ◆ PropertyHeader() [3/4]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::PropertyHeader | ( | const std::string & | iName,
|  | PropertyType | iPropType,
|  | const MetaData & | iMetaData,
|  | const DataType & | iDataType,
|  | const TimeSamplingPtr & | iTsamp )
| inline

Construct a simple property header. Use this for array or scalar properties.

## ◆ PropertyHeader() [4/4]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::PropertyHeader | ( | const PropertyHeader & | iCopy | ) |
| inline

Copy constructor ...

## Member Function Documentation

## ◆ getDataType()

const DataType & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::getDataType | ( |  | ) | const
| inline

Non-compound properties have a data type. If this is called for a Compound Property (basically, one which returns kCompoundProperty from getType() above) it will throw an exception.

## ◆ getMetaData()

const MetaData & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::getMetaData | ( |  | ) | const
| inline

All properties have metadata. ...

## ◆ getName()

const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::getName | ( |  | ) | const
| inline

All properties have a name, which is unique amongst its siblings. ...

## ◆ getPropertyType()

PropertyType Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::getPropertyType | ( |  | ) | const
| inline

All properties have a type, which is the enum defined above. ...

## ◆ getTimeSampling()

TimeSamplingPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::getTimeSampling | ( |  | ) | const
| inline

Non-compound properties have time sampling If this is called for a Compound Property (basically, one which returns kCompoundProperty from getType() above) it will throw an exception.

## ◆ isArray()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::isArray | ( |  | ) | const
| inline

Convenience to return whether the property is array. Same as getPropertyType() == kArrayProperty

## ◆ isCompound()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::isCompound | ( |  | ) | const
| inline

Convenience to return whether the property is compound. Same as getPropertyType() == kCompoundProperty

## ◆ isScalar()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::isScalar | ( |  | ) | const
| inline

Convenience to return whether the property is scalar. Same as getPropertyType() == kScalarProperty

## ◆ isSimple()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::isSimple | ( |  | ) | const
| inline

Convenience to return whether the property is simple (non-compound) Same as getPropertyType() != kCompoundProperty

## ◆ operator=()

PropertyHeader & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::PropertyHeader::operator= | ( | const PropertyHeader & | iCopy | ) |
| inline

Assignment operator ...

The documentation for this class was generated from the following file:

- AbcCoreAbstract/PropertyHeader.h